Skip to main content
`Ctrl`+`K`

# MatNullSpaceRemoveFn

Function provided to `MatNullSpaceSetFunction()` that removes the null space from a vector

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode MatNullSpaceRemoveFn(MatNullSpace nsp, Vec x, PetscCtx ctx);

## Calling Sequence

- nsp - the `MatNullSpace` object

- x - the vector from which to remove the null space

- ctx - [optional] user-defined function context provided with `MatNullSpaceSetFunction()`

## See Also

Matrices, `Mat`, `MatNullSpaceCreate()`, `MatNullSpaceSetFunction()`, `MatGetNullSpace()`, `MatSetNullSpace()`

## Level

advanced

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages